ToolzerHub Docs

Get recipe details (v1)

Returns a Tasty recipe's ingredients with US and metric amounts, steps, nutrition per serving, prep and cook times, servings, rating and tags, from its link or slug. data is null for an unknown recipe.

1 credit / requestBilled only on success
GET
/v1/tasty/recipe

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

recipe*string

A tasty.co recipe link, or the slug from a search result, such as one-pot-garlic-parmesan-pasta.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/tasty/recipe?recipe=https%3A%2F%2Ftasty.co%2Frecipe%2Fone-pot-garlic-parmesan-pasta" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": 2932,    "slug": "one-pot-garlic-parmesan-pasta",    "name": "One-Pot Garlic Parmesan Pasta",    "url": "https://tasty.co/recipe/one-pot-garlic-parmesan-pasta",    "description": "string",    "thumbnail_url": "string",    "video_url": "string",    "servings": 4,    "servings_text": "servings",    "prep_time_minutes": 10,    "cook_time_minutes": 22,    "total_time_minutes": 32,    "nutrition": {      "calories": 283,      "protein_g": 12,      "fat_g": 5,      "carbohydrates_g": 49,      "fiber_g": 1,      "sugar_g": 6    },    "rating": {      "score": 96,      "positive": 15220,      "negative": 777,      "total": 15997    },    "ingredient_sections": [      {        "name": "Alfredo Sauce",        "ingredients": [          {            "name": "heavy cream",            "text": "2 ½ cups heavy cream",            "quantity": "2 ½",            "unit": "cups",            "metric_quantity": "600",            "metric_unit": "g",            "note": "divided"          }        ]      }    ],    "instructions": [      {        "step": 1,        "text": "Heat unsalted butter in a large skillet over medium high heat."      }    ],    "tags": [      {        "id": 64453,        "name": "italian",        "display_name": "Italian",        "category": "cuisine"      }    ],    "author": "Claire Nolan",    "inspired_by_url": "http://damndelicious.net/2014/10/11/one-pot-garlic-parmesan-pasta/",    "is_community": true,    "created_at": "2017-10-30T16:28:45Z",    "updated_at": "2024-03-27T17:14:04Z"  },  "details": {    "reason": "string",    "message": "string"  }}